EventType (Oracle Corporation - Berkeley DB Java API)
Keywords: com.sleepycat.db.EventType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class EventType

    java.lang.Object
      com.sleepycat.db.EventType

    public final class EventType

extends Object

Event types.

Field Summary
`static EventType` | `PANIC` The event is a Database panic.
`static EventType` | `REP_CLIENT` The event is a replication client message, meaning that the current site is now a client in the replication group.
`static EventType` | `REP_MASTER` The event is a replication master message, meaning that the current site is now the master in the replication group.
`static EventType` | `REP_NEW_MASTER` The event is a replication new master message.

Method Summary
`static EventType` | `fromInt(int type)` Internal: this is public only so it can be called from an internal package.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PANIC

    public static final EventType PANIC

  The event is a Database panic.

  Errors can occur in the Berkeley DB library where the only solution is to shut down the application and run recovery (for example, if Berkeley DB is unable to allocate heap memory). In such cases, the Berkeley DB methods will return DB_RUNRECOVERY. It is often easier to simply exit the application when such errors occur rather than gracefully return up the stack.

  When event is set to DB_EVENT_PANIC, the database environment has failed. All threads of control in the database environment should exit the environment, and recovery should be run.

### REP_CLIENT

    public static final EventType REP_CLIENT

  The event is a replication client message, meaning that the current site is now a client in the replication group.

### REP_MASTER

    public static final EventType REP_MASTER

  The event is a replication master message, meaning that the current site is now the master in the replication group.

### REP_NEW_MASTER

    public static final EventType REP_NEW_MASTER

  The event is a replication new master message.

  The replication group of which this site is a member has just established a new master; the local site is not the new master.

  The DB_EVENT_REP_NEWMASTER event is provided only to applications using the replication manager support.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### fromInt

    public static EventType fromInt(int type)

  Internal: this is public only so it can be called from an internal package.

  Parameters:
    `type` - the internal flag value to be wrapped in an EventType object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.